0 Replies Latest reply on Feb 19, 2009 12:42 PM by jbabad

    Upgrade JBoss Remoting on JBoss 5

    jbabad Newbie

      Hi,

      Using JBoss 5.0.0.GA and its JBM I've seen the following exception

      Exception in thread "Timer-2" java.lang.IllegalStateException: org.jboss.remoting.ConnectionValidator.run() should not be called directly; use org.jboss.remoting.ConnectionValidator.addConnectionListener() instead.
       at org.jboss.remoting.ConnectionValidator.run(ConnectionValidator.java:289)
       at java.util.TimerThread.mainLoop(Timer.java:512)
       at java.util.TimerThread.run(Timer.java:462)
      

      According to JIRA JBREM-1071 this is fixed in JBoss remoting 2.5.0.SP3.
      JBoss 5 comes with JBREM 2.5.0.SP2, so can I upgrade; and how?

      Thanks.